图集

### Hierarchy

- HashObject
  - Sheet

## Index

### Constructors

- constructor

### Properties

- _textureCache
- frames
- img

### Accessors

- hashCode

### Methods

- destroy
- generateAll
- generateTexture
- getAllTextures
- getTexture
- hasTexture

## Constructors

### constructor

- new Sheet(img?: any, frames?: Frame ): Sheet

- Overrides HashObject.constructor

  - Defined in core/Sheet.ts:22

  #### Parameters

  - ##### Optional img: any

  - ##### Optional frames: Frame

  #### Returns Sheet

## Properties

### Private _textureCache

_textureCache: any

- Defined in core/Sheet.ts:22

### frames

frames: any

- Defined in core/Sheet.ts:20

图集分割配置

### img

img: any

- Defined in core/Sheet.ts:16

图集原图

## Accessors

### hashCode

hashCode:

Inherited from HashObject.hashCode

- Defined in core/HashObject.ts:21

## Methods

### destroy

- destroy(): void

- - Defined in core/Sheet.ts:93

  销毁自身

  #### Returns void

### generateAll

- generateAll(): void

- - Defined in core/Sheet.ts:38

  生成全部纹理

  #### Returns void

### generateTexture

- generateTexture(name: string, force?: boolean): Texture

- - Defined in core/Sheet.ts:49

  生成一个纹理

  #### Parameters

  - ##### name: string

  - ##### Default value force: boolean = false

  #### Returns Texture

### getAllTextures

- getAllTextures(): Texture []

- - Defined in core/Sheet.ts:86

  获取全部存在的纹理

  #### Returns Texture []

### getTexture

- getTexture(name: any): Texture

- - Defined in core/Sheet.ts:74

  获取纹理

  #### Parameters

  - ##### name: any

  #### Returns Texture

### hasTexture

- hasTexture(name: any): boolean

- - Defined in core/Sheet.ts:66

  是否有这个纹理

  #### Parameters

  - ##### name: any

  #### Returns boolean

Generated using TypeDoc